<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Task 45.40| USER MANAGER</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <!-- UserList style -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css">
  <!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="dist/js/demo.js"></script>

<!-- UserList JS -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<!-- Import Datatable sau jquery -->
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>


</head>
<body class="hold-transition sidebar-mini">
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contact</a>
      </li>
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Navbar Search -->
      <li class="nav-item">
        <a class="nav-link" data-widget="navbar-search" href="#" role="button">
          <i class="fas fa-search"></i>
        </a>
        <div class="navbar-search-block">
          <form class="form-inline">
            <div class="input-group input-group-sm">
              <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
              <div class="input-group-append">
                <button class="btn btn-navbar" type="submit">
                  <i class="fas fa-search"></i>
                </button>
                <button class="btn btn-navbar" type="button" data-widget="navbar-search">
                  <i class="fas fa-times"></i>
                </button>
              </div>
            </div>
          </form>
        </div>
      </li>

      <!-- Messages Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-comments"></i>
          <span class="badge badge-danger navbar-badge">3</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user1-128x128.jpg" alt="User Avatar" class="img-size-50 mr-3 img-circle">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  Brad Diesel
                  <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">Call me whenever you can...</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user8-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  John Pierce
                  <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">I got your message bro</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user3-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  Nora Silvester
                  <span class="float-right text-sm text-warning"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">The subject goes here</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
        </div>
      </li>
      <!-- Notifications Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-bell"></i>
          <span class="badge badge-warning navbar-badge">15</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <span class="dropdown-item dropdown-header">15 Notifications</span>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-envelope mr-2"></i> 4 new messages
            <span class="float-right text-muted text-sm">3 mins</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-users mr-2"></i> 8 friend requests
            <span class="float-right text-muted text-sm">12 hours</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-file mr-2"></i> 3 new reports
            <span class="float-right text-muted text-sm">2 days</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
        </div>
      </li>
      <li class="nav-item">
        <a class="nav-link" data-widget="fullscreen" href="#" role="button">
          <i class="fas fa-expand-arrows-alt"></i>
        </a>
      </li>
      <li class="nav-item">
        <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
          <i class="fas fa-th-large"></i>
        </a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">AdminLTE 3</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">Alexander Pierce</a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                Dashboard
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="index.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Dashboard v1</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index2.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Dashboard v2</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="index3.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Dashboard v3</p>
                </a>
              </li>
            </ul>
         
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        
      </div><!-- /.container-fluid -->
    </section>

    <section class="content">
      <div class="container">
        <h2 style="text-align: center;">Quản trị User</h2>
        <button class='btn btn-success btn-user-add'><i class="fa-solid fa-plus"></i>&nbsp;Add New</button> <br><br>
    
        <table class="table table-bordered table-striped table-hover" id="users-table">
    
          <thead>
            <tr>
              <th>ID</th>
              <th>Firstname</th>
              <th>Lastname</th>
              <th>Country</th>
              <th>Subject</th>
              <th>Customer Type</th>
              <th>Register Status</th>
              <th>Action</th>
            </tr>
          </thead>
          <tbody>
          </tbody>
        </table>
      </div>
      <!---- modal Thêm mới-->
      <div id="add-new-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Thêm User</h5>
              <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>First Name</label>
                </div>
                <div class="col-sm-8">
                  <input id="inp-firstname" class="form-control" placeholder="...">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Last Name</label>
                </div>
                <div class="col-sm-8">
                  <input id="inp-lastname" class="form-control" placeholder="...">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Subject</label>
                </div>
                <div class="col-sm-8">
                  <input id="inp-subject" class="form-control" placeholder="...">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Country</label>
                </div>
                <div class="col-sm-8">
                  <select id="select-country" class="form-control">
                    <option value="VN">Việt Nam</option>
                    <option value="USA">USA</option>
                    <option value="AUS">Australia</option>
                    <option value="CAN">Canada</option>
                  </select>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>CustomerType</label>
                </div>
                <div class="col-sm-8">
                  <select id="select-customer-type" class="form-control">
                    <option value="Standard">Standard</option>
                    <option value="Gold">Gold</option>
                    <option value="Premium">Premium</option>
                  </select>
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <div class="row">
                <div class="col-sm-6"><button type="button" id="btn-modal-insert" style="width:200px"
                    class="btn btn-success">Insert</button></div>
                <div class="col-sm-6"><button type="button" id="btn-modal-cancel" style="width:200px"
                    class="btn btn-success">Cancel</button></div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!--Modal Sửa-->
      <div id="update-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Edit-Update User</h5>
              <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>First Name</label>
                </div>
                <div class="col-sm-8">
                  <input id="edit-inp-firstname" class="form-control" placeholder="...">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Last Name</label>
                </div>
                <div class="col-sm-8">
                  <input id="edit-inp-lastname" class="form-control" placeholder="...">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Subject</label>
                </div>
                <div class="col-sm-8">
                  <input id="edit-inp-subject" class="form-control" placeholder="...">
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Country</label>
                </div>
                <div class="col-sm-8">
                  <select id="edit-select-country" class="form-control">
                    <option value="VN">Việt Nam</option>
                    <option value="USA">USA</option>
                    <option value="AUS">Australia</option>
                    <option value="CAN">Canada</option>
                  </select>
                </div>
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>CustomerType</label>
                </div>
                <div class="col-sm-8">
                  <select id="edit-select-customer-type" class="form-control">
                    <option value="Standard">Standard</option>
                    <option value="Gold">Gold</option>
                    <option value="Premium">Premium</option>
                  </select>
                </div>
    
              </div>
              <div class="row form-group">
                <div class="col-sm-4">
                  <label>Register Status</label>
                </div>
                <div class="col-sm-8">
                  <select id="edit-select-registerStatus" class="form-control">
                    <option value="New">New</option>
                    <option value="Accept">Accept</option>
                    <option value="Denied">Denied</option>
                  </select>
                </div>
    
              </div>
            </div>
            <div class="modal-footer">
              <div class="row">
                <div class="col-sm-6"><button type="button" id="btn-modal-update" style="width:200px"
                    class="btn btn-success">Save</button></div>
                <div class="col-sm-6"><button type="button" id="btn-modal-cancel" style="width:200px"
                    class="btn btn-success">Cancel</button></div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!---Modal Delete-->
      <div class="modal fade" id="delete-modal">
        <div class="modal-dialog">
          <div class="modal-content">
    
            <!-- Modal Header -->
            <div class="modal-header">
              <h4 class="modal-title">Confirm Delete</h4>
            </div>
    
            <!-- Modal body -->
            <div class="modal-body">
              Are you sure Delete?
            </div>
    
            <!-- Modal footer -->
            <div class="modal-footer">
              <button id="btn-confirm-delete" type="button" class="btn btn-danger">Yes</button>
              <button id="btn-cancel-delete" type="button" class="btn btn-danger">Close</button>
            </div>
    
          </div>
        </div>
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  <footer class="main-footer no-print">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 3.2.0
    </div>
    <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights reserved.
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->



​ <script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */


  // Biến mảng toàn cục chứa danh sách tên các thuộc tính
  const gUSER_COLS = ["id", "firstname", "lastname", "country", "subject", "customerType", "registerStatus", "action"];

  // Biến mảng toàn cục định nghĩa chỉ số các cột tương ứng
  const gUSER_ID = 0;
  const gUSER_FIRSTNAME = 1;
  const gUSER_LASTNAME = 2;
  const gUSER_COUNTRY = 3;
  const gUSER_SUBJECT = 4;
  const gUSER_CUSTOMER_TYPE = 5;
  const gUSER_REGISTER_STATUS = 6
  const gUSER_ACTION = 7;

  const gBASE_URL = "http://203.171.20.210:8080/crud-api/users/";
  var gUserId = 0;

  var gUserTable = $("#users-table").DataTable({

    columns: [
      { data: gUSER_COLS[gUSER_ID] },
      { data: gUSER_COLS[gUSER_FIRSTNAME] },
      { data: gUSER_COLS[gUSER_LASTNAME] },
      { data: gUSER_COLS[gUSER_COUNTRY] },
      { data: gUSER_COLS[gUSER_SUBJECT] },
      { data: gUSER_COLS[gUSER_CUSTOMER_TYPE] },
      { data: gUSER_COLS[gUSER_REGISTER_STATUS] },
      { data: gUSER_COLS[gUSER_ACTION] }
    ],
    columnDefs: [
      {
        targets: gUSER_ACTION,
        defaultContent: `<button class='btn btn-primary user-update'><i class="fa-solid fa-pen-to-square"></i></button>
    <button class='btn btn-danger user-delete'><i class="fa-solid fa-trash"></i></button>
    `
      }
    ]
  });
  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
  // gắn sự kiện click cho các nút user detail
  $(document).ready(function () {
    callApiGetAllUsers();

  });
  $("#users-table").on("click", ".user-update", function () {
    onBtnUpdateUserClick(this);
  });
  $("#users-table").on("click", ".user-delete", function () {
    onBtnDeleteUserClick(this);
  });
  $(document).on("click", ".btn-user-add", function () {
    onBtnAddUserClick();
  });
  // tạo sự kiện click nut AddNew
  $("#btn-modal-insert").on("click", function () {
    onBtnInsertClick();
  });
  $("#update-modal").on("click", "#btn-modal-update", function () {
    onBtnSaveClick();
  });
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  function onBtnUpdateUserClick(paramBtnUpdate) {
    gUserId = getUserIdFromBtn(paramBtnUpdate);
    console.log(gUserId);
    $("#update-modal").modal("show");
    loadUserNeedEditToEditModal(paramBtnUpdate);


  }
  function onBtnDeleteUserClick(paramBtnDelete) {
    gUserId = getUserIdFromBtn(paramBtnDelete);
    console.log(gUserId);
    $("#delete-modal").modal("show");
    $("#btn-confirm-delete").on("click", function () {
      $.ajax({
        url: gBASE_URL + gUserId,
        type: "DELETE",
        dataType: "json",
        success: function (res) {
          alert("Delete success");
          $("#delete-modal").modal("hide");
          callApiGetAllUsers();

        },
        error: function (ajaxContext) {
          console.log(ajaxContext.responseText);
        },
      });
    });
    $("#btn-cancel-delete").on("click", function () {
      $("#delete-modal").modal("hide");
    });
  }
  function onBtnAddUserClick() {
    $("#add-new-modal").modal("show");
  }

  function onBtnInsertClick() {
    var vNewUserInfo = {
      firstname: "",
      lastname: "",
      subject: "",
      country: "",
      customerType: ""
    };
    getNewUserData(vNewUserInfo);
    var isOk = validateData(vNewUserInfo);
    if (isOk) {
      $.ajax({
        url: gBASE_URL,
        type: "POST",
        contentType: "application/json; charset-UTF-8",
        data: JSON.stringify(vNewUserInfo),
        success: function (resNewUser) {
          console.log(resNewUser);
          handleNewUserSuccess(resNewUser);

        },
        error: function (ajaxContext) {
          console.log(ajaxContext.responseText);
        },
      });
    }
  }
  function onBtnSaveClick() {
    var vUserNeedEdit = {
      firstname: "",
      lastname: "",
      subject: "",
      country: "",
      customerType: "",
      registerStatus: ""
    }
    getUserNewInfo(vUserNeedEdit);
    console.log(vUserNeedEdit); //xem thu coi ra cái gi hôn
    var vIsCheck = validateDataEidt(vUserNeedEdit);
    if (vIsCheck) {
      $.ajax({
        url: gBASE_URL + gUserId,
        type: "PUT",
        contentType: "application/json; charset-UTF-8",
        data: JSON.stringify(vUserNeedEdit),
        success: function (resEditUser) {
          console.log(resEditUser);
          handleEditUserSuccess(resEditUser);

        },
        error: function (ajaxContext) {
          console.log(ajaxContext.responseText);
        },
      });

    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  }
  function callApiGetAllUsers() {
    $.ajax({
      url: gBASE_URL,
      type: "GET",
      dataType: "json",
      success: function (resUsers) {
        console.log(resUsers);
        loadAllUserToTable(resUsers);

      },
      error: function (ajaxContext) {
        console.log(ajaxContext.responseText);
      },
    });
  }

  function loadAllUserToTable(paramResUsers) {
    gUserTable.clear();
    gUserTable.rows.add(paramResUsers);
    gUserTable.draw();

  }
  function getUserIdFromBtn(paramBtn) {
    var vTableRow = $(paramBtn).parents("tr"); //truy xuat row chua btn
    var vUserRowData = gUserTable.row(vTableRow).data();
    console.log(vUserRowData);
    return vUserRowData.id;
  }
  function getNewUserData(paramNewUser) {
    paramNewUser.firstname = $("#inp-firstname").val().trim();
    paramNewUser.lastname = $("#inp-lastname").val().trim();
    paramNewUser.subject = $("#inp-subject").val().trim();
    paramNewUser.country = $("#select-country").val();
    paramNewUser.customerType = $("#select-customer-type").val();

  }

  function validateData(paramNewUser) {
    if (paramNewUser.firstname == "" || paramNewUser.lastname == "" || paramNewUser.subject == "") {
      alert("please fill the form");
      return false;
    }
    return true;
  }
  function handleNewUserSuccess() {
    alert("Success Add a New User...!!!");
    callApiGetAllUsers();
    resetAddNewUserForm();
    $("#add-new-modal").modal("hide");
  }
  function resetAddNewUserForm() {
    $("#inp-firstname").val("");
    $("#inp-lastname").val("");
    $("#inp-subject").val("");
    $("#select-country").val("VN");
    $("#select-customer-type").val("Standard");
  }
  function getUserNewInfo(paramUserNeedEdit) {
    paramUserNeedEdit.firstname = $("#edit-inp-firstname").val().trim();
    paramUserNeedEdit.lastname = $("#edit-inp-lastname").val().trim();
    paramUserNeedEdit.subject = $("#edit-inp-subject").val().trim();
    paramUserNeedEdit.country = $("#edit-select-country").val();
    paramUserNeedEdit.customerType = $("#edit-select-customer-type").val();
    paramUserNeedEdit.registerStatus = $("#edit-select-registerStatus").val();
  }
  function loadUserNeedEditToEditModal(paramBtn) {
    var vTableRow = $(paramBtn).parents("tr"); //truy xuat row chua btn
    var vUserRowData = gUserTable.row(vTableRow).data();
    $("#edit-inp-firstname").val(vUserRowData.firstname);
    $("#edit-inp-lastname").val(vUserRowData.lastname);
    $("#edit-inp-subject").val(vUserRowData.subject);
    $("#edit-select-country").val(vUserRowData.country);
    $("#edit-select-customer-type").val(vUserRowData.customerType);
    $("#edit-select-registerStatus").val(vUserRowData.registerStatus);
  }
  function validateDataEidt(paramUserNeedEdit) {
    if (paramUserNeedEdit.firstname == "" || paramUserNeedEdit.lastname == "" || paramUserNeedEdit.subject == "") {
      alert("Vui Long Nhập đầy đủ");
      return false;
    }
    return true;
  }
  function handleEditUserSuccess(paramEditUser) {
    alert("Edit and Update Success");
    callApiGetAllUsers();
    $("#update-modal").modal("hide");
  }

</script>
</body>
